Gem::Specification.new do |spec|
  spec.name          = 'lita-dpextend'
  spec.version       = '0.1.6'
  spec.authors       = ['Luiz Carvalho']
  spec.email         = ['maximusmano@gmail.com']
  spec.description   = 'Override methods to using best of Lita'
  spec.summary       = 'Monke patchs to all'
  spec.homepage      = 'https://rubygems.org/gems/lita-dpextend'
  spec.license       = 'MIT'
  spec.metadata      = { 'lita_plugin_type' => 'extension' }

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'lita', '~> 4.7'
  spec.add_runtime_dependency 'telegram-bot-ruby', '~> 0.8'
  spec.add_runtime_dependency 'api-ai-ruby', '~> 2.0'
  spec.add_runtime_dependency 'lita-wizard', '~> 1.0'
  spec.add_runtime_dependency 'lita-telegram', '~> 0.1'
  spec.add_runtime_dependency 'lita-api-ai', '~> 0.1.2'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'pry-byebug', '~> 3.4'
  spec.add_development_dependency 'rake', '~> 12.0'
  spec.add_development_dependency 'pry', '~> 0.10'
  spec.add_development_dependency 'rack-test', '~> 0.6'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
