require 'spec_helper'

describe Xtend::ApiAiHandler do
  it '.should_reply? with cpf is true' do
    message = Object.new
    apiaimodule = Object.new
    apiaimodule.extend(Xtend::ApiAiHandler)
    allow(message).to receive_message_chain(:source, :user, :metadata).and_return({'cpf'=> '1'})
    expect(apiaimodule.should_reply?(message)).to be true
  end

  it '.should_reply? without cpf is nil' do
    message = Object.new
    apiaimodule = Object.new
    apiaimodule.extend(Xtend::ApiAiHandler)
    allow(message).to receive_message_chain(:source, :user, :metadata).and_return({})
    expect(apiaimodule.should_reply?(message)).to be nil
  end

  it 'Lita::Handlers::ApiAi is a class' do
    expect(Lita::Handlers::ApiAi).to be_a Class
  end

end